PeopleForce
Reports

List people data changes

GET
/api/public/v3/reports/people_data_changes

Query Parameters

changed_by_ids[]?array<>
created_at[gte]?string
Formatdate
created_at[lte]?string
Formatdate
direction?string
Default"desc"

Value in

  • "asc"
  • "desc"
effective_on[gte]?string
Formatdate
effective_on[lte]?string
Formatdate
employee_ids[]?array<>
page?integer
Formatint32
Default1
query?string
record_types[]?array<string>
sort?string
Default"created_at"

Value in

  • "created_at"
  • "record_type"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v3/reports/people_data_changes"
{  "data": [    {      "id": 0,      "employee": {        "id": 0,        "full_name": "string"      },      "changed_by": {        "id": 0,        "full_name": "string",        "type": "string"      },      "group": "string",      "field": "string",      "value": "string",      "previous_value": "string",      "effective_on": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}